import request from "../../utils/request";
import qs from "qs";
let setqs = function (data) {
  return qs.stringify(data);
};

// 获取企业信息
export function getProjectInfoApi (data) {
  console.log(data);
  return request({
    url: `/admin/company/info`,
    method: "get",
  });
}

//  更新企业信息
export function updateProjectInfoApi (data) {
  return request({
    url: `/admin/company/update`,
    method: "PUT",
    data,
  });
}

// 导入股权结构文件
export function importStockModelApi (data) {
  return request({
    url: `/admin/stock/structure/import`,
    method: "post",
    headers: {
      "Content-Type": 'multipart/form-data',
    },
    data: setqs(data)
  });
}


// 获取股权结构列表
export function getStockInfoListApi (data) {
  return request({
    url: `/admin/stock/structure/list`,
    method: "get",
  });
}
// 获取股权结构列表
export function getStockMoreListApi (data) {
  return request({
    url: `/admin/stock/change/list`,
    method: "get",
  });
}


// 删除用户
export function delUserApi (data) {
  return request({
    url: `/admin/user/remove/${data}`,
    method: "DELETE",
  });
}
